# This file is part of the Grid LSC User Environment (GLUE)
#
# GLUE is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.

version = '2.1.0'

# git information
id = 'dfd36d5e845ed196154b7027f4e9a0e445c6cd34'
date = '2020-09-11 18:52:01 +0000'
branch = 'master'
tag = 'glue-release-2.1.0'
author = 'Ryan Fisher <ryan.fisher@ligo.org>'
builder = 'Robert Bruntz <robert.bruntz@ligo.org>'
committer = 'Ryan Fisher <ryan.fisher@ligo.org>'
status = 'CLEAN: All modifications committed'
verbose_msg = """Branch: master
Tag: glue-release-2.1.0
Id: dfd36d5e845ed196154b7027f4e9a0e445c6cd34

Builder: Robert Bruntz <robert.bruntz@ligo.org>
Build date: 2020-10-02 16:36:48 +0000
Repository status: CLEAN: All modifications committed"""

import warnings

class VersionMismatchError(ValueError):
    pass

def check_match(foreign_id, onmismatch="raise"):
    """
    If foreign_id != id, perform an action specified by the onmismatch
    kwarg. This can be useful for validating input files.

    onmismatch actions:
      "raise": raise a VersionMismatchError, stating both versions involved
      "warn": emit a warning, stating both versions involved
    """
    if onmismatch not in ("raise", "warn"):
        raise ValueError(onmismatch + " is an unrecognized value of onmismatch")
    if foreign_id == 'dfd36d5e845ed196154b7027f4e9a0e445c6cd34':
        return
    msg = "Program id (dfd36d5e845ed196154b7027f4e9a0e445c6cd34 does not match given id (%s)." % foreign_id
    if onmismatch == "raise":
        raise VersionMismatchError(msg)

    # in the backtrace, show calling code
    warnings.warn(msg, UserWarning)


